Use-after-free in USB controller in QEMU



Published: 2020-09-17
Risk Medium
Patch available NO
Number of vulnerabilities 1
CVE-ID CVE-2020-25084
CWE-ID CWE-416
Exploitation vector Network
Public exploit Public exploit code for vulnerability #1 is available.
Vulnerable software
Subscribe
QEMU
Client/Desktop applications / Virtualization software

Vendor QEMU

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Use-after-free

EUVDB-ID: #VU46790

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2020-25084

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote user to perform a denial of service (DoS) attack.

The vulnerability exists due to a use-after-free error in USB(xHCI/eHCI) controller emulators of QEMU in hw/usb/hcd-xhci.c and hw/usb/hcd-ehci.c files when processing USB packets. A remote user on the guest operating system can send specially crafted data to the controller, trigger a use-after-free error and crash the QEMU process.


Mitigation

Cybersecurity Help is currently unaware of any official solution to address this vulnerability.

Vulnerable software versions

QEMU: 1.3.0 - 5.1.0


CPE2.3 External links

http://seclists.org/oss-sec/2020/q3/180
http://lists.nongnu.org/archive/html/qemu-devel/2020-08/msg08050.html
http://lists.nongnu.org/archive/html/qemu-devel/2020-08/msg08043.html
http://ruhr-uni-bochum.sciebo.de/s/NNWP2GfwzYKeKwE?path=%2Fxhci_uaf_2

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###